<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:revisionCode="1"
    android:versionName="1.0">

    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" /> <!-- MQTT权限 唤醒，访问网络信息，访问电话权限 -->
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />

    <application
        android:name=".app.ICSApp"
        android:allowBackup="true"
        android:hardwareAccelerated="false"
        android:icon="@mipmap/twb"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:requestLegacyExternalStorage="true"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:targetApi="31">
        <activity
            android:name=".view.from.wdgl_new_Activity"
            android:exported="false" />
        <activity
            android:name=".view.from.sdkz_new_Activity"
            android:exported="false" />
        <activity
            android:name=".view.fragment.SsjkFragment"
            android:exported="false" />
        <activity
            android:name=".view.from.wdgl_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.sdkz_activity"
            android:exported="false" />
        <activity
            android:name=".view.fragment.setting.ovarparameter"
            android:exported="false" />
        <activity
            android:name=".view.fragment.setting.mqttparameter"
            android:exported="false" />
        <activity
            android:name=".view.from.ddgl_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.RunLog"
            android:exported="false" />
        <activity
            android:name=".view.fragment.setting.systemparameter"
            android:exported="false" />
        <activity
            android:name=".view.from.add_pf_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.wlgl_activity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".view.from.yfpf_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.ygczrz_activity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".view.from.ddyjrz_activity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".view.from.yfcl_activity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".view.from.zdqx_activity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".view.from.lsjy_activity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".view.from.dzcjy_activity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".view.from.lcsz_activity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".view.fragment.SystemCapabilitiesFragment"
            android:exported="false" />
        <activity
            android:name=".view.fragment.HeplerFragment"
            android:exported="false" />
        <activity
            android:name=".view.fragment.SystemSetFragment"
            android:exported="false" />
        <activity
            android:name=".view.fragment.HomeFragment"
            android:exported="false" />
        <activity
            android:name=".view.fragment.CloudFragment"
            android:exported="false" />
        <activity
            android:name=".LoginActivity"
            android:exported="true"
            android:windowSoftInputMode="adjustPan|stateHidden">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".MainActivity"
            android:configChanges="orientation|screenSize|keyboard|keyboardHidden|navigation"
            android:exported="false"
            android:windowSoftInputMode="adjustPan|stateHidden" /> <!-- Mqtt Service -->
        <service android:name="org.eclipse.paho.android.service.MqttService" />

        <receiver
            android:name=".app.BootReceiver"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </receiver>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/fileproviderpath" />
        </provider>
    </application>

</manifest>